import {
  isBrowser
} from "./chunk-YKE4UGGF.js";
import {
  getGlobalLogger
} from "./chunk-KYZEATOZ.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-BIPVTPD4.js";
import {
  LoggerBrowserHandler
} from "./chunk-3L34X3C2.js";
import {
  isEmpty
} from "./chunk-EOHXRMVQ.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && !isEmpty(localStorage.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}

export {
  Logger
};
//# sourceMappingURL=chunk-VPRABY6V.js.map